buffer_traits< T > Struct Template Reference

`#include <pcl/io/impl/buffers.hpp>`

## Static Public Member Functions

static T | invalid ()
static bool | is_invalid (T value)

## Detailed Description

### template<typename T>
struct buffer_traits< T >

Definition at line 47 of file buffers.hpp.

## Member Function Documentation

## invalid()

template<typename T >

static T buffer_traits< T >::invalid | ( |  | ) |

inline static

Definition at line 49 of file buffers.hpp.

Referenced by buffer_traits< T >::is_invalid().

## is_invalid()

template<typename T >

static bool buffer_traits< T >::is_invalid | ( | T | value | ) |

inline static

Definition at line 50 of file buffers.hpp.

References buffer_traits< T >::invalid().

Referenced by pcl::io::MedianBuffer< T >::push(), and pcl::io::AverageBuffer< T >::push().

The documentation for this struct was generated from the following file:

- pcl/io/impl/buffers.hpp